### Method

# FwupdPlugin Firmware to_string

since: 1.3.1

#### Declaration [src]

    gchar*
    fu_firmware_to_string (
      FuFirmware* self
    )

#### Description [src]

This allows us to easily print the object.

Available since: 1.3.1

#### Return value

Type: `gchar*`

A string value, or `NULL` for invalid.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.